<?php 

include_once(__DIR__."/../config.php"); 

if(strtoupper($_SERVER['REQUEST_METHOD']) == 'POST')
{   
    $cs = new cs;
    $request = $_POST;
    
    $senhaAtual = $cs->filterKey($request['senha_atual']);
    
    $row = $cs->executeQuery("SELECT senha FROM gerenciadores WHERE id = '{$request['id']}' AND senha = '{$senhaAtual}'");
    
    switch ($request) {
        
        case $cs->num_rows($row) == 0:
           
            echo json_encode([ 
                'success' => false, 
                'class'   => 'alert-danger', 
                'text'    => 'A senha não confere com sua atual senha!'
            ]);
            break;

        case $request['senha_confirmacao'] != $request['nova_senha']:
            
            echo json_encode([ 
                'success' => false, 
                'class'   => 'alert-danger', 
                'text'    => 'A confirmação da sua nova senha não confere!'
            ]);
            break;    
        
        default:
            $novasenha = $cs->filterKey($request['senha_confirmacao']);
            
            $cs->executeQuery("UPDATE gerenciadores SET senha = '{$novasenha}' WHERE id = '{$request['id']}'");

            list($info_unf) = $cs->fetchQuery($cs->executeQuery("SELECT * from gerenciadores WHERE id = '{$request['id']}'"));
            
            $_SESSION['info_unf'] = $info_unf;

            echo json_encode([ 
                'success' => true, 
                'class'   => 'alert-success', 
                'text'    => 'Senha alterada com sucesso!'
            ]);
            break;
    }
    
    exit;
}

?>